Skip to main content
GET
/
award-types
Award Types
curl --request GET \
  --url 'https://api.eliteprospects.com/v1/award-types?apiKey='
{
  "_meta": {
    "generatedAt": "<string>",
    "offset": 123,
    "limit": 123,
    "totalRecords": 123
  },
  "_links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "data": [
    {
      "slug": "<string>",
      "name": "<string>",
      "league": "<string>",
      "leagueSlug": "<string>",
      "types": [],
      "trophyIcon": {
        "url": "<string>"
      },
      "isHighlighted": true,
      "links": {
        "eliteprospectsUrl": "<string>"
      },
      "eliteprospectsUrlPath": "<string>",
      "updatedAt": "<string>",
      "_links": [
        "<string>"
      ]
    }
  ]
}

Authorizations

apiKey
string
query
required

Query Parameters

fields
enum<string>[]

Specify custom response with available response fields.


Fields included as default: slug, name, league, leagueSlug, types, trophyIcon, isHighlighted, links, eliteprospectsUrlPath, updatedAt, _links

Available options:
slug,
name,
league,
leagueSlug,
types,
trophyIcon,
isHighlighted,
links,
eliteprospectsUrlPath,
updatedAt,
_links,
trophyIcon.*,
links.*,
*
offset
integer
default:0

The number of items to skip before starting to collect the result set.

Required range: x >= 0
limit
integer
default:100

The number of items to return.

Required range: 0 <= x <= 1000
sort
enum<string>[]

Sort results by field name. Prefix with - for descending order (e.g., -name).

Available options:
name,
-name,
league,
-league,
updatedAt,
-updatedAt
name
string

Filter by name

q
string

Filter by q

league
string

Filter by league slug

type
enum<string>

Filter by type

Available options:
player,
staff
type:not
enum<string>

Filter by type not equal to

Available options:
player,
staff
isHighlighted
boolean

Filter by isHighlighted

trophyIcon:hasContent
boolean

Filter by trophyIcon has content

updatedAt:min
string<date-time>

Filter by updatedAt greater or equal to in ISO-8601 format for date and time

Response

200 - application/json

A paginated list of award types.

_meta
object
data
object[]